## wpebackend-fdo 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(VERSION 3.0)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
include(VersioningUtils)

SET_PROJECT_VERSION(1 4 0)
set(WPEBACKEND_FDO_API_VERSION 1.0)

# Before making a release, the LT_VERSION string should be modified.
# The string is of the form C:R:A.
# - If interfaces have been changed or added, but binary compatibility has
#   been preserved, change to C+1:0:A+1
# - If binary compatibility has been broken (eg removed or changed interfaces)
#   change to C+1:0:0
# - If the interface is the same as the previous version, change to C:R+1:A
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 5 1 4)

project(wpebackend-fdo VERSION "${PROJECT_VERSION}")

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(DistTargets)
include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 99)

foreach (cxxflag -fno-exceptions -fno-rtti -Wall)
    check_cxx_compiler_flag("${cxxflag}" CXX_HAS_FLAG_${cxxflag})
    if (CXX_HAS_FLAG_${cxxflag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${cxxflag}")
    endif ()
endforeach ()

foreach (cflag -Wall)
    check_c_compiler_flag("${cflag}" CC_HAS_FLAG_${cflag})
    if (CC_HAS_FLAG_${cflag})
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${cflag}")
    endif ()
endforeach ()

find_package(EGL REQUIRED)
find_package(GLIB REQUIRED COMPONENTS gio gobject)
find_package(Wayland REQUIRED)
find_package(WaylandEGL REQUIRED)
find_package(WaylandScanner REQUIRED)
find_package(WPE REQUIRED)

add_definitions(-DWPE_FDO_COMPILATION)

if (NOT (WAYLAND_wayland-client_VERSION VERSION_LESS 1.10))
    add_definitions(-DWAYLAND_1_10_OR_GREATER)
endif ()

configure_file(include/wpe-fdo/version.h.cmake "${CMAKE_BINARY_DIR}/wpe-fdo/version.h" @ONLY)

set(WPEBACKEND_FDO_INCLUDE_DIRECTORIES
    "include"
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${GLIB_INCLUDE_DIRS}
    ${WAYLAND_INCLUDE_DIRS}
    ${WAYLAND_EGL_INCLUDE_DIRS}
)

set(WPEBACKEND_FDO_LIBRARIES
    ${GLIB_GIO_LIBRARIES}
    ${GLIB_GOBJECT_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${WAYLAND_LIBRARIES}
    ${WAYLAND_EGL_LIBRARIES}
    GL::egl
    WPE::libwpe
)

set(WPEBACKEND_FDO_PUBLIC_HEADERS
    ${CMAKE_BINARY_DIR}/wpe-fdo/version.h
    include/wpe-fdo/exported-image-egl.h
    include/wpe-fdo/initialize-egl.h
    include/wpe-fdo/view-backend-exportable.h
    include/wpe-fdo/fdo-egl.h
    include/wpe-fdo/fdo.h
)

set(WPEBACKEND_FDO_GENERATED_SOURCES
    ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-protocol.c
)

set(WPEBACKEND_FDO_SOURCES
    ${WPEBACKEND_FDO_GENERATED_SOURCES}

    src/exported-image-egl.cpp
    src/fdo.cpp
    src/initialize-egl.cpp
    src/ipc.cpp
    src/renderer-backend-egl.cpp
    src/renderer-host.cpp
    src/view-backend-exportable-fdo.cpp
    src/view-backend-exportable-private.cpp
    src/ws.cpp
    src/ws-client.cpp

    src/linux-dmabuf/linux-dmabuf.cpp
    src/linux-dmabuf/linux-dmabuf-protocol.c
)

file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bridge)
add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-protocol.c
           ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-client-protocol.h
           ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-server-protocol.h
    DEPENDS ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml
    COMMAND ${WAYLAND_SCANNER} ${WAYLAND_SCANNER_CODE_ARG} < ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml > ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-protocol.c
    COMMAND ${WAYLAND_SCANNER} client-header < ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml > ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} server-header < ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml > ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-server-protocol.h
    VERBATIM
)

option(EXPORTABLE_EGL "Enable the exportable EGL interface" ON)

if (EXPORTABLE_EGL)
    list(APPEND WPEBACKEND_FDO_PUBLIC_HEADERS include/wpe-fdo/view-backend-exportable-egl.h)
    list(APPEND WPEBACKEND_FDO_SOURCES src/view-backend-exportable-fdo-egl.cpp)
endif ()

add_library(WPEBackend-fdo SHARED ${WPEBACKEND_FDO_SOURCES})
target_include_directories(WPEBackend-fdo PRIVATE ${WPEBACKEND_FDO_INCLUDE_DIRECTORIES})
target_link_libraries(WPEBackend-fdo ${WPEBACKEND_FDO_LIBRARIES})

set_target_properties(WPEBackend-fdo
    PROPERTIES
    OUTPUT_NAME WPEBackend-fdo-${WPEBACKEND_FDO_API_VERSION}
    VERSION ${LIBWPEBACKEND_FDO_VERSION}
    SOVERSION ${LIBWPEBACKEND_FDO_VERSION_MAJOR}
)

install(
    TARGETS WPEBackend-fdo
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
install(
    FILES ${WPEBACKEND_FDO_PUBLIC_HEADERS}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe
)

configure_file(wpebackend-fdo.pc.in wpebackend-fdo-${WPEBACKEND_FDO_API_VERSION}.pc @ONLY)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/wpebackend-fdo-${WPEBACKEND_FDO_API_VERSION}.pc"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

option(BUILD_DOCS "Build the documentation" OFF)
if (BUILD_DOCS)
    find_program(HOTDOC hotdoc)
    if (NOT HOTDOC)
        message(FATAL_ERROR "hotdoc not found!")
    endif ()

    execute_process(
        COMMAND ${HOTDOC} --has-extension c-extension
        RESULT_VARIABLE HAS_HOTDOC_C_EXTENSION
    )
    if ("${HAS_HOTDOC_C_EXTENSION}" EQUAL 0)
        add_custom_target(Documentation ALL
            ${HOTDOC} run
                --project-name WPEBackend-fdo
                --project-version ${PROJECT_VERSION}
                --sitemap ${CMAKE_SOURCE_DIR}/docs/sitemap.txt
                --output ${CMAKE_CURRENT_BINARY_DIR}/Documentation/
                --c-smart-index
                --extra-c-flags=-DWPE_FDO_COMPILATION
                --c-sources
                    ${CMAKE_SOURCE_DIR}/include/wpe-fdo/*.h
                --c-include-directories
                    ${CMAKE_SOURCE_DIR}/include
                    ${WPEBACKEND_FDO_INCLUDE_DIRECTORIES}
        )
    else ()
        message(FATAL_ERROR "Hotdoc C extension not found, can't build documentation.")
    endif ()
endif ()

=== debian/changelog ===
wpebackend-fdo (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Standards-Version to 4.4.1 (no changes).
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/libwpebackend-fdo-1.0-1.lintian-overrides:
    + Update override so it's independent from the library version.

 -- Alberto Garcia <berto@igalia.com>  Wed, 13 Nov 2019 17:57:25 +0200

wpebackend-fdo (1.3.0-1) experimental; urgency=medium

  * Initial release (Closes: #930117)

 -- Alberto Garcia <berto@igalia.com>  Wed, 14 Aug 2019 14:01:13 +0300

=== debian/control ===
Source: wpebackend-fdo
Section: libs
Priority: optional
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper (>= 10),
               cmake,
               libegl1-mesa-dev,
               libglib2.0-dev,
               libwpe-1.0-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
Homepage: https://wpewebkit.org/

Package: libwpebackend-fdo-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwpebackend-fdo-1.0-1 (= ${binary:Version}),
         libwpe-1.0-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: WPE backend for FreeDesktop.org - Development files
 WPE WebKit is a port of the WebKit browser engine optimized for
 embedded devices. The code itself is hardware-agnostic, and the
 platform-specific bits are implemented in backends.
 .
 wpebackend-fdo provides a reference WPE backend implementation using
 FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
 platform) to enable integration into the WPE WebKit process model.
 .
 This package contains the development files.

Package: libwpebackend-fdo-1.0-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WPE backend for FreeDesktop.org
 WPE WebKit is a port of the WebKit browser engine optimized for
 embedded devices. The code itself is hardware-agnostic, and the
 platform-specific bits are implemented in backends.
 .
 wpebackend-fdo provides a reference WPE backend implementation using
 FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
 platform) to enable integration into the WPE WebKit process model.
 .
 This package contains the shared libraries.

## wpebackend-fdo 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,9 @@
-cmake_minimum_required(VERSION 3.0)
-cmake_policy(VERSION 3.0)
+cmake_minimum_required(VERSION 3.3)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 4 0)
+SET_PROJECT_VERSION(1 6 0)
 set(WPEBACKEND_FDO_API_VERSION 1.0)
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -14,7 +13,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 5 1 4)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 1 6)
 
 project(wpebackend-fdo VERSION "${PROJECT_VERSION}")
 
@@ -42,16 +41,11 @@
 
 find_package(EGL REQUIRED)
 find_package(GLIB REQUIRED COMPONENTS gio gobject)
-find_package(Wayland REQUIRED)
-find_package(WaylandEGL REQUIRED)
+find_package(Wayland REQUIRED client server egl)
 find_package(WaylandScanner REQUIRED)
-find_package(WPE REQUIRED)
-
-add_definitions(-DWPE_FDO_COMPILATION)
-
-if (NOT (WAYLAND_wayland-client_VERSION VERSION_LESS 1.10))
-    add_definitions(-DWAYLAND_1_10_OR_GREATER)
-endif ()
+find_package(WPE 1.5.90 REQUIRED)
+
+add_definitions(-DWPE_FDO_COMPILATION -DG_LOG_DOMAIN=\"WPE-FDO\")
 
 configure_file(include/wpe-fdo/version.h.cmake "${CMAKE_BINARY_DIR}/wpe-fdo/version.h" @ONLY)
 
@@ -60,46 +54,56 @@
     ${CMAKE_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}/src
     ${GLIB_INCLUDE_DIRS}
-    ${WAYLAND_INCLUDE_DIRS}
-    ${WAYLAND_EGL_INCLUDE_DIRS}
 )
 
 set(WPEBACKEND_FDO_LIBRARIES
     ${GLIB_GIO_LIBRARIES}
     ${GLIB_GOBJECT_LIBRARIES}
     ${GLIB_LIBRARIES}
-    ${WAYLAND_LIBRARIES}
-    ${WAYLAND_EGL_LIBRARIES}
     GL::egl
+    Wayland::client
+    Wayland::server
+    Wayland::egl
     WPE::libwpe
 )
 
 set(WPEBACKEND_FDO_PUBLIC_HEADERS
     ${CMAKE_BINARY_DIR}/wpe-fdo/version.h
     include/wpe-fdo/exported-image-egl.h
+    include/wpe-fdo/exported-buffer-shm.h
     include/wpe-fdo/initialize-egl.h
     include/wpe-fdo/view-backend-exportable.h
     include/wpe-fdo/fdo-egl.h
     include/wpe-fdo/fdo.h
 )
 
+set(WPEBACKEND_FDO_EXTENSIONS_PUBLIC_HEADERS
+    include/wpe-fdo/extensions/video-plane-display-dmabuf.h
+)
+
 set(WPEBACKEND_FDO_GENERATED_SOURCES
     ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-protocol.c
+    ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-protocol.c
 )
 
 set(WPEBACKEND_FDO_SOURCES
     ${WPEBACKEND_FDO_GENERATED_SOURCES}
 
+    src/exported-buffer-shm.cpp
     src/exported-image-egl.cpp
     src/fdo.cpp
     src/initialize-egl.cpp
     src/ipc.cpp
     src/renderer-backend-egl.cpp
     src/renderer-host.cpp
+    src/version.c
     src/view-backend-exportable-fdo.cpp
     src/view-backend-exportable-private.cpp
     src/ws.cpp
     src/ws-client.cpp
+
+    src/extensions/video-plane-display-dmabuf.cpp
+    src/extensions/video-plane-display-dmabuf-receiver.cpp
 
     src/linux-dmabuf/linux-dmabuf.cpp
     src/linux-dmabuf/linux-dmabuf-protocol.c
@@ -117,6 +121,18 @@
     VERBATIM
 )
 
+file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf)
+add_custom_command(
+    OUTPUT ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-protocol.c
+    OUTPUT ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-client-protocol.h
+    OUTPUT ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-server-protocol.h
+    DEPENDS ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml
+    COMMAND ${WAYLAND_SCANNER} ${WAYLAND_SCANNER_CODE_ARG} < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-protocol.c
+    COMMAND ${WAYLAND_SCANNER} client-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-client-protocol.h
+    COMMAND ${WAYLAND_SCANNER} server-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-server-protocol.h
+    VERBATIM
+)
+
 option(EXPORTABLE_EGL "Enable the exportable EGL interface" ON)
 
 if (EXPORTABLE_EGL)
@@ -130,6 +146,8 @@
 
 set_target_properties(WPEBackend-fdo
     PROPERTIES
+    C_VISIBILITY_PRESET hidden
+    CXX_VISIBILITY_PRESET hidden
     OUTPUT_NAME WPEBackend-fdo-${WPEBACKEND_FDO_API_VERSION}
     VERSION ${LIBWPEBACKEND_FDO_VERSION}
     SOVERSION ${LIBWPEBACKEND_FDO_VERSION_MAJOR}
@@ -142,6 +160,10 @@
 install(
     FILES ${WPEBACKEND_FDO_PUBLIC_HEADERS}
     DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe
+)
+install(
+    FILES ${WPEBACKEND_FDO_EXTENSIONS_PUBLIC_HEADERS}
+    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe/extensions
 )
 
 configure_file(wpebackend-fdo.pc.in wpebackend-fdo-${WPEBACKEND_FDO_API_VERSION}.pc @ONLY)
@@ -172,9 +194,12 @@
                 --extra-c-flags=-DWPE_FDO_COMPILATION
                 --c-sources
                     ${CMAKE_SOURCE_DIR}/include/wpe-fdo/*.h
+                    ${CMAKE_SOURCE_DIR}/include/wpe-fdo/extensions/*.h
                 --c-include-directories
                     ${CMAKE_SOURCE_DIR}/include
+                    ${CMAKE_BINARY_DIR}/wpe-fdo
                     ${WPEBACKEND_FDO_INCLUDE_DIRECTORIES}
+                    ${WPE_INCLUDE_DIR}
         )
     else ()
         message(FATAL_ERROR "Hotdoc C extension not found, can't build documentation.")

=== debian/changelog ===
wpebackend-fdo (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Set the debhelper compatibility level to 12:
    + Get rid of debian/compat.
    + Add build dependency on debhelper-compat.
  * debian/control:
    + Add build dependency on libwayland-dev (Closes: #952252).
    + Add Rules-Requires-Root: no.
    + Update Standards-Version to 4.5.0 (no changes).
    + Require libwpe-1.0-dev >= 1.5.90.
  * debian/copyright:
    + Update copyright years.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * Add upstream metadata file.

 -- Alberto Garcia <berto@igalia.com>  Thu, 12 Mar 2020 14:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libegl1-mesa-dev,
                libglib2.0-dev,
-               libwpe-1.0-dev
-Standards-Version: 4.4.1
+               libwayland-dev,
+               libwpe-1.0-dev (>= 1.5.90)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
 Homepage: https://wpewebkit.org/

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ wpebackend-fdo-(\d+\.\d+\.\d+).tar.xz

## wpebackend-fdo 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 6 0)
+SET_PROJECT_VERSION(1 6 1)
 set(WPEBACKEND_FDO_API_VERSION 1.0)
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -13,7 +13,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 1 6)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 8 1 7)
 
 project(wpebackend-fdo VERSION "${PROJECT_VERSION}")

=== debian/changelog ===
wpebackend-fdo (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Tue, 26 May 2020 16:27:53 +0200

## wpebackend-fdo 1.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
include(VersioningUtils)

SET_PROJECT_VERSION(1 8 0)
set(WPEBACKEND_FDO_API_VERSION 1.0)

# Before making a release, the LT_VERSION string should be modified.
# The string is of the form C:R:A.
# - If interfaces have been changed or added, but binary compatibility has
#   been preserved, change to C+1:0:A+1
# - If binary compatibility has been broken (eg removed or changed interfaces)
#   change to C+1:0:0
# - If the interface is the same as the previous version, change to C:R+1:A
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 3 6)

project(wpebackend-fdo VERSION "${PROJECT_VERSION}")

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(DistTargets)
include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 99)

foreach (cxxflag -fno-exceptions -fno-rtti -Wall)
    check_cxx_compiler_flag("${cxxflag}" CXX_HAS_FLAG_${cxxflag})
    if (CXX_HAS_FLAG_${cxxflag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${cxxflag}")
    endif ()
endforeach ()

foreach (cflag -Wall)
    check_c_compiler_flag("${cflag}" CC_HAS_FLAG_${cflag})
    if (CC_HAS_FLAG_${cflag})
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${cflag}")
    endif ()
endforeach ()

find_package(LibEpoxy REQUIRED)
find_package(GLIB REQUIRED COMPONENTS gio gobject)
find_package(Wayland REQUIRED client server egl)
find_package(WaylandScanner REQUIRED)
find_package(WPE 1.5.90 REQUIRED)

add_compile_definitions(
    WPE_FDO_COMPILATION
    G_LOG_DOMAIN=\"WPE-FDO\"
    _FILE_OFFSET_BITS=64
    _LARGEFILE64_SOURCE=1
)

configure_file(include/wpe/version.h.cmake "${CMAKE_BINARY_DIR}/version.h" @ONLY)

set(WPEBACKEND_FDO_INCLUDE_DIRECTORIES
    "include"
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${GLIB_INCLUDE_DIRS}
)

set(WPEBACKEND_FDO_LIBRARIES
    ${GLIB_GIO_LIBRARIES}
    ${GLIB_GOBJECT_LIBRARIES}
    ${GLIB_LIBRARIES}
    Epoxy::libepoxy
    Wayland::client
    Wayland::server
    Wayland::egl
    WPE::libwpe
)

set(WPEBACKEND_FDO_PUBLIC_HEADERS
    ${CMAKE_BINARY_DIR}/version.h
    include/wpe/exported-image-egl.h
    include/wpe/exported-buffer-shm.h
    include/wpe/initialize-egl.h
    include/wpe/view-backend-exportable.h
    include/wpe/view-backend-exportable-egl.h
    include/wpe/fdo-egl.h
    include/wpe/fdo.h
)
set(WPEBACKEND_FDO_UNSTABLE_PUBLIC_HEADERS
    include/wpe/unstable/fdo-eglstream.h
    include/wpe/unstable/fdo-shm.h
    include/wpe/unstable/initialize-eglstream.h
    include/wpe/unstable/initialize-shm.h
    include/wpe/unstable/view-backend-exportable-eglstream.h
)

set(WPEBACKEND_FDO_EXTENSIONS_PUBLIC_HEADERS
    include/wpe/extensions/video-plane-display-dmabuf.h
    include/wpe/extensions/audio.h
)

set(WPEBACKEND_FDO_GENERATED_SOURCES
    ${CMAKE_BINARY_DIR}/wayland-eglstream-controller-protocol.c
    ${CMAKE_BINARY_DIR}/wpe-bridge-protocol.c
    ${CMAKE_BINARY_DIR}/wpe-video-plane-display-dmabuf-protocol.c
    ${CMAKE_BINARY_DIR}/wpe-audio-protocol.c
)

set(WPEBACKEND_FDO_SOURCES
    ${WPEBACKEND_FDO_GENERATED_SOURCES}

    src/exported-buffer-shm.cpp
    src/exported-image-egl.cpp
    src/fdo.cpp
    src/initialize-egl.cpp
    src/initialize-eglstream.cpp
    src/initialize-shm.cpp
    src/ipc.cpp
    src/renderer-backend-egl.cpp
    src/renderer-host.cpp
    src/version.c
    src/view-backend-exportable-fdo.cpp
    src/view-backend-exportable-fdo-egl.cpp
    src/view-backend-exportable-fdo-eglstream.cpp
    src/view-backend-exportable-private.cpp
    src/ws.cpp
    src/ws-client.cpp
    src/ws-egl.cpp
    src/ws-eglstream.cpp
    src/ws-shm.cpp

    src/extensions/video-plane-display-dmabuf.cpp
    src/extensions/video-plane-display-dmabuf-receiver.cpp

    src/linux-dmabuf/linux-dmabuf.cpp
    src/linux-dmabuf/linux-dmabuf-protocol.c

    src/extensions/audio.cpp
    src/extensions/audio-receiver.cpp
)

add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-bridge-protocol.c
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-bridge-client-protocol.h
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-bridge-server-protocol.h
    DEPENDS ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml
    COMMAND ${WAYLAND_SCANNER} ${WAYLAND_SCANNER_CODE_ARG} < ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml > ${CMAKE_BINARY_DIR}/wpe-bridge-protocol.c
    COMMAND ${WAYLAND_SCANNER} client-header < ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml > ${CMAKE_BINARY_DIR}/wpe-bridge-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} server-header < ${CMAKE_SOURCE_DIR}/src/bridge/wpe-bridge.xml > ${CMAKE_BINARY_DIR}/wpe-bridge-server-protocol.h
    VERBATIM
)

add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-video-plane-display-dmabuf-protocol.c
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-video-plane-display-dmabuf-client-protocol.h
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-video-plane-display-dmabuf-server-protocol.h
    DEPENDS ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml
    COMMAND ${WAYLAND_SCANNER} ${WAYLAND_SCANNER_CODE_ARG} < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/wpe-video-plane-display-dmabuf-protocol.c
    COMMAND ${WAYLAND_SCANNER} client-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/wpe-video-plane-display-dmabuf-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} server-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/wpe-video-plane-display-dmabuf-server-protocol.h
    VERBATIM
)

add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-audio-protocol.c
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-audio-client-protocol.h
    OUTPUT ${CMAKE_BINARY_DIR}/wpe-audio-server-protocol.h
    DEPENDS ${CMAKE_SOURCE_DIR}/src/extensions/wpe-audio.xml
    COMMAND ${WAYLAND_SCANNER} ${WAYLAND_SCANNER_CODE_ARG} < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-audio.xml > ${CMAKE_BINARY_DIR}/wpe-audio-protocol.c
    COMMAND ${WAYLAND_SCANNER} client-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-audio.xml > ${CMAKE_BINARY_DIR}/wpe-audio-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} server-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-audio.xml > ${CMAKE_BINARY_DIR}/wpe-audio-server-protocol.h
    VERBATIM
)

file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/wayland-eglstream)
add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/wayland-eglstream-controller-protocol.c
    OUTPUT ${CMAKE_BINARY_DIR}/wayland-eglstream-controller-server-protocol.h
    DEPENDS ${CMAKE_SOURCE_DIR}/src/wayland-eglstream/wayland-eglstream-controller.xml
    COMMAND ${WAYLAND_SCANNER} ${WAYLAND_SCANNER_CODE_ARG} < ${CMAKE_SOURCE_DIR}/src/wayland-eglstream/wayland-eglstream-controller.xml > ${CMAKE_BINARY_DIR}/wayland-eglstream-controller-protocol.c
    COMMAND ${WAYLAND_SCANNER} server-header < ${CMAKE_SOURCE_DIR}/src/wayland-eglstream/wayland-eglstream-controller.xml > ${CMAKE_BINARY_DIR}/wayland-eglstream-controller-server-protocol.h
    VERBATIM
)

add_library(WPEBackend-fdo SHARED ${WPEBACKEND_FDO_SOURCES})
target_include_directories(WPEBackend-fdo PRIVATE ${WPEBACKEND_FDO_INCLUDE_DIRECTORIES})
target_link_libraries(WPEBackend-fdo ${WPEBACKEND_FDO_LIBRARIES})

set_target_properties(WPEBackend-fdo
    PROPERTIES
    C_VISIBILITY_PRESET hidden
    CXX_VISIBILITY_PRESET hidden
    OUTPUT_NAME WPEBackend-fdo-${WPEBACKEND_FDO_API_VERSION}
    VERSION ${LIBWPEBACKEND_FDO_VERSION}
    SOVERSION ${LIBWPEBACKEND_FDO_VERSION_MAJOR}
)

install(
    TARGETS WPEBackend-fdo
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
install(
    FILES ${WPEBACKEND_FDO_PUBLIC_HEADERS}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe
)
install(
    FILES ${WPEBACKEND_FDO_UNSTABLE_PUBLIC_HEADERS}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe/unstable
)
install(
    FILES ${WPEBACKEND_FDO_EXTENSIONS_PUBLIC_HEADERS}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe/extensions
)

configure_file(wpebackend-fdo.pc.in wpebackend-fdo-${WPEBACKEND_FDO_API_VERSION}.pc @ONLY)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/wpebackend-fdo-${WPEBACKEND_FDO_API_VERSION}.pc"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

option(BUILD_DOCS "Build the documentation" OFF)
if (BUILD_DOCS)
    find_program(HOTDOC hotdoc)
    if (NOT HOTDOC)
        message(FATAL_ERROR "hotdoc not found!")
    endif ()

    execute_process(
        COMMAND ${HOTDOC} --has-extension c-extension
        RESULT_VARIABLE HAS_HOTDOC_C_EXTENSION
    )
    if ("${HAS_HOTDOC_C_EXTENSION}" EQUAL 0)
        add_custom_target(Documentation ALL
            ${HOTDOC} run
                --project-name WPEBackend-fdo
                --project-version ${PROJECT_VERSION}
                --sitemap ${CMAKE_SOURCE_DIR}/docs/sitemap.txt
                --output ${CMAKE_CURRENT_BINARY_DIR}/Documentation/
                --c-smart-index
                --extra-c-flags=-DWPE_FDO_COMPILATION
                --c-sources
                    ${CMAKE_SOURCE_DIR}/include/wpe/*.h
                    ${CMAKE_SOURCE_DIR}/include/wpe/extensions/*.h
                --c-include-directories
                    ${CMAKE_SOURCE_DIR}/include
                    ${CMAKE_BINARY_DIR}/wpe
                    ${WPEBACKEND_FDO_INCLUDE_DIRECTORIES}
                    ${WPE_INCLUDE_DIR}
        )
    else ()
        message(FATAL_ERROR "Hotdoc C extension not found, can't build documentation.")
    endif ()
endif ()

=== debian/changelog ===
wpebackend-fdo (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add build dependency on libepoxy-dev.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/libwpebackend-fdo-1.0-dev.lintian-overrides:
    + Delete this file, pkg-config-references-unknown-shared-library was
      removed in lintian 2.57.0.
  * debian/libwpebackend-fdo-1.0-1.lintian-overrides:
    + Rename non-dev-pkg-with-shlib-symlink to
      link-to-shared-library-in-wrong-package
  * debian/copyright:
    + Remove obsolete entries.

 -- Alberto Garcia <berto@igalia.com>  Sat, 12 Sep 2020 23:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                cmake,
                libegl1-mesa-dev,
+               libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.5.90)

## wpebackend-fdo 1.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 8 0)
+SET_PROJECT_VERSION(1 8 1)
 set(WPEBACKEND_FDO_API_VERSION 1.0)
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -13,7 +13,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 3 6)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 4 6)
 
 project(wpebackend-fdo VERSION "${PROJECT_VERSION}")
 
@@ -45,11 +45,11 @@
 find_package(WaylandScanner REQUIRED)
 find_package(WPE 1.5.90 REQUIRED)
 
-add_compile_definitions(
-    WPE_FDO_COMPILATION
-    G_LOG_DOMAIN=\"WPE-FDO\"
-    _FILE_OFFSET_BITS=64
-    _LARGEFILE64_SOURCE=1
+add_definitions(
+    -DWPE_FDO_COMPILATION
+    -DG_LOG_DOMAIN=\"WPE-FDO\"
+    -D_FILE_OFFSET_BITS=64
+    -D_LARGEFILE64_SOURCE=1
 )
 
 configure_file(include/wpe/version.h.cmake "${CMAKE_BINARY_DIR}/version.h" @ONLY)

=== debian/changelog ===
wpebackend-fdo (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Thu, 18 Mar 2021 17:05:26 +0100

wpebackend-fdo (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Explain how WebKitGTK uses this package.
  * debian/watch:
    + Track stable releases only.
    + Set version to 4 (fixes older-debian-watch-file-standard)

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Mar 2021 14:59:13 +0100

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,9 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
+ In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
+ to implement hardware-accelerated rendering under Wayland.
+ .
  This package contains the development files.
 
 Package: libwpebackend-fdo-1.0-1
@@ -48,4 +51,7 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
+ In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
+ to implement hardware-accelerated rendering under Wayland.
+ .
  This package contains the shared libraries.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ wpebackend-fdo-(\d+\.[02468]\d*\.\d+).tar.xz

## wpebackend-fdo 1.10.0

=== debian/changelog ===
wpebackend-fdo (1.10.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Wed, 16 Jun 2021 11:29:41 +0200

wpebackend-fdo (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/watch:
    + Fix regular expression to scan stable releases.
  * debian/control:
    + Replace build dependency on cmake with meson.
    + Remove build dependency on libegl1-mesa-dev.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/copyright:
    + Remove deleted files.

 -- Alberto Garcia <berto@igalia.com>  Mon, 07 Jun 2021 23:57:03 +0200

wpebackend-fdo (1.8.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Wed, 12 May 2021 21:23:59 +0200

wpebackend-fdo (1.8.3-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Standards-Version to 4.5.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 31 Mar 2021 01:08:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper-compat (= 12),
-               cmake,
-               libegl1-mesa-dev,
+               meson,
                libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.5.90)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git

## wpebackend-fdo 1.12.0

=== meson_options.txt ===
option('build_docs',
	type: 'boolean',
	value: false,
	description: 'Build reference documentation (needs HotDoc)')

=== debian/changelog ===
wpebackend-fdo (1.12.0-1~bpo10+1) buster-backports; urgency=medium

  * backport to buster
  * debian: add lintian-override on
    symbols-file-contains-current-version-with-debian-revision

 -- Marc Leeman <m.leeman@televic.com>  Thu, 09 Dec 2021 11:02:18 +0100

wpebackend-fdo (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/control:
    + Bump required version of libwpe-1.0-dev.
    + Update Standards-Version to 4.6.0.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Tue, 19 Oct 2021 10:45:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>
+Uploaders: Alberto Garcia <berto@igalia.com>,
+           Marc Leeman <m.leeman@televic.com>,
 Build-Depends: debhelper-compat (= 12),
                meson,
                libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
-               libwpe-1.0-dev (>= 1.5.90)
-Standards-Version: 4.5.1
+               libwpe-1.0-dev (>= 1.6.0)
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git

## wpebackend-fdo 1.14.0

=== debian/changelog ===
wpebackend-fdo (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Tue, 20 Sep 2022 11:38:10 +0200

wpebackend-fdo (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Set the debhelper compatibility level to 13.
    - Update Standards-Version to 4.6.1.0 (no changes).
  * debian/libwpebackend-fdo-1.0-1.lintian-overrides:
    - Update link-to-shared-library-in-wrong-package override.

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Aug 2022 16:17:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>,
-           Marc Leeman <m.leeman@televic.com>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper-compat (= 13),
                meson,
                libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git

## wpebackend-fdo 1.14.2

=== debian/changelog ===
wpebackend-fdo (1.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 22 Mar 2023 00:17:47 +0100

wpebackend-fdo (1.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Update Standards-Version to 4.6.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Sat, 04 Mar 2023 23:48:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ wpebackend-fdo-(\d+\.\d*[02468]\.\d+).tar.xz

## wpebackend-fdo 1.14.3

=== debian/changelog ===
wpebackend-fdo (1.14.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove references to WebKitGTK since it no longer uses the WPE
      backend.
    - Update Standards-Version to 4.7.0 (no changes).
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Stop overriding dh_missing since debhelper compat level 13 already
      defaults to --fail-missing.

 -- Alberto Garcia <berto@igalia.com>  Fri, 13 Sep 2024 23:47:26 +0200

## wpebackend-fdo 1.16.0

=== debian/changelog ===
wpebackend-fdo (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    - Update symbols.
  * debian/upstream/signing-key.asc:
    - Remove obsolete key 0xF3D322D0EC4582C3.

 -- Alberto Garcia <berto@igalia.com>  Thu, 13 Mar 2025 11:02:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
@@ -32,9 +32,6 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
- In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
- to implement hardware-accelerated rendering under Wayland.
- .
  This package contains the development files.
 
 Package: libwpebackend-fdo-1.0-1
@@ -50,7 +47,4 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
- In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
- to implement hardware-accelerated rendering under Wayland.
- .
  This package contains the shared libraries.

## wpebackend-fdo 1.16.1

=== debian/changelog ===
wpebackend-fdo (1.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    - Remove internal symbols.
  * debian/control:
    - Remove redundant 'Rules-Requires-Root: no' field.
    - Update Standards-Version to 4.7.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Thu, 20 Nov 2025 12:37:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
 Homepage: https://wpewebkit.org/
